-# @project is present when viewing Project's milestone
- project = @project || issuable.project
- namespace = @project_namespace || project.namespace.becomes(Namespace)
- labels = issuable.labels
- assignees = issuable.assignees
- base_url_args = [namespace, project]
- issuable_type_args = base_url_args + [issuable.class.table_name]
- issuable_url_args = base_url_args + [issuable]

%li.issuable-row
  %span
    - if show_project_name
      %strong #{project.name} &middot;
    - elsif show_full_project_name
      %strong #{project.full_name} &middot;
    - if issuable.is_a?(Issue)
      = confidential_icon(issuable)
    = link_to issuable.title, issuable_url_args, title: issuable.title
  .issuable-detail
    = link_to [namespace, project, issuable], class: 'issue-link' do
      %span.issuable-number= issuable.to_reference

    - labels.each do |label|
      = render_label(label, link: polymorphic_path(issuable_type_args, { milestone_title: @milestone.title, label_name: label.title, state: 'all' }))

    %span.assignee-icon
      - assignees.each do |assignee|
        = link_to polymorphic_path(issuable_type_args, { milestone_title: @milestone.title, assignee_id: assignee.id, state: 'all' }),
                  class: 'has-tooltip', title: "指派给 #{assignee.name}", data: { container: 'body' } do
          - image_tag(avatar_icon_for_user(assignee, 16), class: "avatar s16", alt: '')
